package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.jetbrains.annotations.NotNull;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 课程目标dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CourseTargetDto implements Serializable, Comparable<CourseTargetDto> {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "课程目标id")
    private Long targetId;

    @ApiModelProperty(value = "课程目标名称")
    private String targetName;

    @ApiModelProperty(value = "毕业要求")
    private String graduationRequirement;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "评价方式id")
    private Long evaluationId;

    @ApiModelProperty(value = "评价方式")
    private String evaluation;

    @ApiModelProperty(value = "评价方式描述")
    private String evaluationDesc;

    @ApiModelProperty(value = "知识点集合")
    private List<DimensionDto> dimensionList;

    @ApiModelProperty(value = "目标达成评价值")
    private Double evaluationValue;

    @ApiModelProperty(value = "评价方式集合")
    private List<ReportEvaluationDto> evaluationList;

    public CourseTargetDto() {

    }

    public CourseTargetDto(Long targetId, String targetName, Long evaluationId, String evaluation, String evaluationDesc, List<ReportEvaluationDto> evaluationList
            , Double evaluationValue) {
        this.targetId = targetId;
        this.targetName = targetName;
        this.evaluationId = evaluationId;
        this.evaluation = evaluation;
        this.evaluationDesc = evaluationDesc;
        this.evaluationList = evaluationList;
        this.evaluationValue = evaluationValue;
    }

    public CourseTargetDto(Long targetId, String targetName, Long evaluationId, String evaluation, String evaluationDesc, Double evaluationValue) {
        this.targetId = targetId;
        this.targetName = targetName;
        this.evaluationId = evaluationId;
        this.evaluation = evaluation;
        this.evaluationDesc = evaluationDesc;
        this.evaluationValue = evaluationValue;
    }

    public Double getEvaluationValue() {
        return evaluationValue;
    }

    public void setEvaluationValue(Double evaluationValue) {
        this.evaluationValue = evaluationValue;
    }

    public List<ReportEvaluationDto> getEvaluationList() {
        return evaluationList;
    }

    public void setEvaluationList(List<ReportEvaluationDto> evaluationList) {
        this.evaluationList = evaluationList;
    }

    public List<DimensionDto> getDimensionList() {
        return dimensionList;
    }

    public void setDimensionList(List<DimensionDto> dimensionList) {
        this.dimensionList = dimensionList;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public String getGraduationRequirement() {
        return graduationRequirement;
    }

    public void setGraduationRequirement(String graduationRequirement) {
        this.graduationRequirement = graduationRequirement;
    }

    public Long getEvaluationId() {
        return evaluationId;
    }

    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    public String getEvaluation() {
        return evaluation;
    }

    public void setEvaluation(String evaluation) {
        this.evaluation = evaluation;
    }

    public String getEvaluationDesc() {
        return evaluationDesc;
    }

    public void setEvaluationDesc(String evaluationDesc) {
        this.evaluationDesc = evaluationDesc;
    }

    @Override
    public int compareTo(@NotNull CourseTargetDto o) {
        if (o.getTargetId().longValue() < this.getTargetId().longValue()) {
            return 1;
        } else if (o.getTargetId().longValue() > this.getTargetId().longValue()) {
            return -1;
        } else {
            return 0;
        }
    }
}
