package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 报告课程考核成绩评价明细结果-考生-期末成绩dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportExamStudentFinalScoreDto implements Serializable {

    @ApiModelProperty(value = "权重")
    private BigDecimal weight;

    @ApiModelProperty(value = "课程目标集合")
    private List<DimensionDto> dimensionList;

    public ReportExamStudentFinalScoreDto() {

    }

    public ReportExamStudentFinalScoreDto(BigDecimal weight, List<DimensionDto> dimensionList) {
        this.weight = weight;
        this.dimensionList = dimensionList;
    }

    public ReportExamStudentFinalScoreDto(List<DimensionDto> dimensionList) {
        this.dimensionList = dimensionList;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public List<DimensionDto> getDimensionList() {
        return dimensionList;
    }

    public void setDimensionList(List<DimensionDto> dimensionList) {
        this.dimensionList = dimensionList;
    }
}
