package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 平时成绩dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UsualScoreDto implements Serializable {

    @ApiModelProperty(value = "平时成绩目标总分")
    private Double usualScoreTargetSumScore;

    @ApiModelProperty(value = "平时成绩目标整体权重")
    private BigDecimal usualScoreTargetSumWeight;

    @ApiModelProperty(value = "平时成绩详情")
    private List<UsualScoreOverviewDto> usualScoreDetailList;

    public UsualScoreDto() {

    }

    public UsualScoreDto(Double usualScoreTargetSumScore, BigDecimal usualScoreTargetSumWeight, List<UsualScoreOverviewDto> usualScoreDetailList) {
        this.usualScoreTargetSumScore = usualScoreTargetSumScore;
        this.usualScoreTargetSumWeight = usualScoreTargetSumWeight;
        this.usualScoreDetailList = usualScoreDetailList;
    }

    public List<UsualScoreOverviewDto> getUsualScoreDetailList() {
        return usualScoreDetailList;
    }

    public void setUsualScoreDetailList(List<UsualScoreOverviewDto> usualScoreDetailList) {
        this.usualScoreDetailList = usualScoreDetailList;
    }

    public Double getUsualScoreTargetSumScore() {
        return usualScoreTargetSumScore;
    }

    public void setUsualScoreTargetSumScore(Double usualScoreTargetSumScore) {
        this.usualScoreTargetSumScore = usualScoreTargetSumScore;
    }

    public BigDecimal getUsualScoreTargetSumWeight() {
        return usualScoreTargetSumWeight;
    }

    public void setUsualScoreTargetSumWeight(BigDecimal usualScoreTargetSumWeight) {
        this.usualScoreTargetSumWeight = usualScoreTargetSumWeight;
    }
}
