package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description: 课程评价方式参数
 * @Author: CaoZixuan
 * @Date: 2024-02-29
 */
public class CourseEvaluationParam {

    @ApiModelProperty("考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "缺少考试")
    @Range(min = 1L, message = "缺少考试")
    private Long examId;

    @ApiModelProperty("课程编号")
    @NotNull(message = "缺少课程编号")
    @Length(min = 1, message = "缺少课程编号")
    private String courseCode;

    @ApiModelProperty("评价方式")
    @NotNull(message = "缺少评价方式")
    @Length(min = 1, message = "缺少评价方式")
    private String evaluation;

    @ApiModelProperty("评价方式描述")
    @NotNull(message = "缺少评价方式描述")
    @Length(min = 1, message = "缺少评价方式描述")
    private String evaluationDesc;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getEvaluation() {
        return evaluation;
    }

    public void setEvaluation(String evaluation) {
        this.evaluation = evaluation;
    }

    public String getEvaluationDesc() {
        return evaluationDesc;
    }

    public void setEvaluationDesc(String evaluationDesc) {
        this.evaluationDesc = evaluationDesc;
    }
}
