package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.bean.dto.CourseWeightDto;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 课程权重设置参数
 * @Author: CaoZixuan
 * @Date: 2024-03-01
 */
public class CourseWeightParam {

    @ApiModelProperty("考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "缺少考试")
    @Range(min = 1L, message = "缺少考试")
    private Long examId;

    @ApiModelProperty("课程编号（新增必填）")
    @NotNull(message = "缺少课程编号")
    @Length(min = 1, message = "缺少课程编号")
    private String courseCode;

    @ApiModelProperty("课程权重表单")
    @NotEmpty(message = "缺少权重设置表单")
    private List<CourseWeightDto> submitForm;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public List<CourseWeightDto> getSubmitForm() {
        return submitForm;
    }

    public void setSubmitForm(List<CourseWeightDto> submitForm) {
        this.submitForm = submitForm;
    }
}
