package com.qmth.distributed.print.business.bean.result.report.word;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.LinkedMultiValueMap;

import java.io.Serializable;
import java.util.Map;

/**
 * @Description: 考生表格bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class ExamStudentTableBean implements Serializable {

    @ApiModelProperty(name = "序号")
    Integer num = 0;

    @ApiModelProperty(name = "学号")
    String studentCode;

    @ApiModelProperty(name = "姓名")
    String name;

    @ApiModelProperty(name = "行政班级")
    String administrativeClass;

    @ApiModelProperty(name = "目标成绩")
    LinkedMultiValueMap<Long, Map<String, ExamStudentScoreBean>> map;

    @ApiModelProperty(name = "综合成绩")
    Double sumScore = 0.0d;

    public ExamStudentTableBean() {

    }

    public ExamStudentTableBean(Integer num, String studentCode, String name, String administrativeClass) {
        this.num = num;
        this.studentCode = studentCode;
        this.name = name;
        this.administrativeClass = administrativeClass;
    }

    public ExamStudentTableBean(Integer num, String studentCode, String name, String administrativeClass, LinkedMultiValueMap<Long, Map<String, ExamStudentScoreBean>> map, Double sumScore) {
        this.num = num;
        this.studentCode = studentCode;
        this.name = name;
        this.administrativeClass = administrativeClass;
        this.map = map;
        this.sumScore = sumScore;
    }

    public LinkedMultiValueMap<Long, Map<String, ExamStudentScoreBean>> getMap() {
        return map;
    }

    public void setMap(LinkedMultiValueMap<Long, Map<String, ExamStudentScoreBean>> map) {
        this.map = map;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getAdministrativeClass() {
        return administrativeClass;
    }

    public void setAdministrativeClass(String administrativeClass) {
        this.administrativeClass = administrativeClass;
    }

    public Double getSumScore() {
        return sumScore;
    }

    public void setSumScore(Double sumScore) {
        this.sumScore = sumScore;
    }
}
