package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.params.CourseEvaluationParam;
import com.qmth.distributed.print.business.bean.result.CourseEvaluationResult;
import com.qmth.distributed.print.business.entity.CourseEvaluation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.SysUser;

import java.util.List;

/**
 * <p>
 * 课程评价方式 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-02-22
 */
public interface CourseEvaluationService extends IService<CourseEvaluation> {

    /**
     * 查询课程评价方式集合
     *
     * @param examId     考试id
     * @param courseCode 课程编号
     * @param userId     用户id
     * @return 课程评价方式结果
     */
    List<CourseEvaluationResult> findCourseEvaluationList(Long examId, String courseCode, Long userId);

    /**
     * 保存课程评价方式
     *
     * @param courseEvaluationParam 课程评价方式参数
     * @param requestUser           请求用户
     */
    void saveCourseEvaluation(CourseEvaluationParam courseEvaluationParam, SysUser requestUser);

    /**
     * 删除课程评价方式
     *
     * @param id 课程评价方式id
     */
    void deleteCourseEvaluation(Long id);
}
